Android P sẽ chặn các ứng dụng được viết cho Android 4.1 trở xuống

Trong khi Apple thường xuyên dọn dẹp App Store để loại bỏ các ứng dụng không còn được hỗ trợ bởi các mẫu iPhone và kiến trúc phần cứng mới nhất của mình, Google gần đây mới bắt tay làm điều tương tự đối với các ứng dụng Android.

Android P sẽ chặn các ứng dụng được viết cho Android 4.1 trở xuống - Ảnh 1

Theo trang tin AndroidPolice, vào tháng 12 năm ngoái, gã khổng lồ tìm kiếm đã thông báo rằng các ứng dụng trên Play Store sẽ phải được viết bằng các hàm API có cấp độ thấp hơn tối đa là 1 năm so với API trên bản Android hiện tại. Nói cách khác, khi Android P chính thức được tung ra, Play Store sẽ chỉ chấp nhận các ứng dụng được viết dành cho Android 8.0 Oreo trở về sau.

Trước đó, Google đã từng đề cập đến việc các phiên bản Android trong tương lai sẽ chặn mọi ứng dụng không được viết bằng các hàm API với cấp độ gần đây, tuy nhiên hãng không đưa thêm bất kỳ thông tin chi tiết nào. Bắt đầu từ Android P, Google đưa ra một lớp mới với tên gọi MIN_SUPPORTED_TARGET_SDK_INT, trong đó nêu rõ cấp độ API tối thiểu được hỗ trợ trên thiết bị. Đối với Android P, cấp độ API tối thiểu là v17, tương ứng với Android 4.2.

Điều này có nghĩa là gì?

Mỗi phiên bản Android mới đều đưa ra những thay đổi về phương thức hệ điều hành này cho phép các ứng dụng hoạt động, như Android 6.0 Marshmallow có thêm tính năng cấp quyền ứng dụng và Doze. Một số ứng dụng (như Snapchat chẳng hạn) đã tìm cách "né" những giới hạn này bằng cách nhắm vào một phiên bản Android thấp hơn (tức trong mã nguồn của ứng dụng sẽ ghi rõ nó được viết dành cho phiên bản Android nào là thấp nhất), và do đó yêu cầu của Google sẽ không áp dụng đối với chúng. Tuy nhiên, bạn càng cài đặt các ứng dụng cũ, bạn càng gặp nhiều vấn đề về mặt hiệu năng và bảo mật, vì các ứng dụng này ít bị giới hạn hơn.

Bản Android P Developer Preview đầu tiên sẽ hiển thị một cảnh báo khi bạn mở các ứng dụng cũ. Không rõ liệu các ứng dụng cũ này có bị chặn hoàn toàn trên bản Android P chính thức không, hay liệu Google sẽ chỉ hiện ra các cảnh báo "cho vui" mà thôi. Tuy nhiên, trong tài liệu về Android P dành cho các nhà phát triển có đoạn như sau: "Các ứng dụng nhắm vào các bản Android cũ hơn sẽ không thể cài đặt và khởi chạy". Google vẫn chưa đưa ra bình luận nào về điều này.

Theo Báo Diễn đàn đầu tư

http://vnreview.vn/tu-van-di-dong/-/view_content/content/2436051/android-p-se-chan-cac-ung-dung-duoc-viet-cho-android-4-1-tro-xuong
Close